//
//  ActionDismissNotificationHandler.swift
//  MVMCoreUI
//
//  Created by Scott Pfeil on 7/28/22.
//  Copyright © 2022 Verizon Wireless. All rights reserved.
//

import Foundation
import MVMCore

/// Dismiss the current notification.
open class ActionDismissNotificationHandler: MVMCoreActionHandlerProtocol {
    required public init() {}
    
    open func execute(with model: ActionModelProtocol, delegateObject: DelegateObject?, additionalData: [AnyHashable : Any]?) async throws {
        NotificationHandler.shared()?.hideNotification()
    }
}
